/* Add a black background color to the top navigation */
.topnav {
    background-color: rgb(74, 105, 108);
    overflow: hidden;
    min-width: 950px;
}

/* Style the links inside the navigation bar */
.topnav a {
    float: left;
    display: block;
    color: #f2f2f2;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
    font-size: 17px;
}

/* Change the color of links on hover */
.topnav a:hover {
    background-color: #ddd;
    color: black;
}

/* Add a color to the active/current link */
.topnav a.active {
    background-color: #4CAF50;
    color: white;
}

.topnavbar-hello
{
    float: right;
    padding-top: 10px;
}

.wrapper
{
    padding-top: 50px;
}

.footer
{
    padding-top: 30px;
    color: DarkGray;
    font-size: 10px;
    margin: auto;
    text-align: center;
}

/* Colorbar */
.br_row
{
    height: 10px;
    background-color: rgb(248, 180, 71);
    margin-bottom:10px;
}

h1
{
    margin-bottom:5px;
    margin-top:10px;
}

/* Menu page des employeurs */
.menu_container
{
  float: left;
  margin-left: 1.1%;
  margin-right:1.1%;
  width:22.5%;
  border: 1px solid lightgray;
  height: 200px;
  padding-top:50px;
  cursor: pointer;
}

.menu_container a
{
    text-decoration: none;
    color: black;
}

.menu_container .menu_icon
{
  width: 50px;
  height: 50px;
  background-color: rgb(74, 105, 108);
  color:white;
  font-size: 25px;
  font-weight: bold;
  text-align: center;
  margin: auto;
}

.menu_container .menu_description
{
  width: 100%;
  text-align: center;
  padding-top:50px;
}

.menu_container:hover
{
    background-color:rgba(0, 0, 0, 0.05);
}

.menu_container > a:hover
{
    text-decoration: underline;
}


/* Button */
button {
    font-family: "Roboto", sans-serif;
    text-transform: uppercase;
    outline: 0;
    background: rgb(248, 180, 71);;
    border: 0;
    padding: 10px;
    color: #FFFFFF;
    font-size: 14px;
    -webkit-transition: all 0.3 ease;
    transition: all 0.3 ease;
    cursor: pointer;
}

button:hover {
    background: rgba(248, 177, 71, 0.7);
}

button i.ui-icon
{
    background: url('/images/ui-icons_ffffff_256x240.png');
    display: inline-block;
    height: 11px;
    width: 12px;
}

button i.ui-icon-blank {
    background-position: 16px 16px;
}

button i.ui-icon-triangle-1-n 
{
    background-position: 0 -16px;
}

button i.ui-icon-plus 
{
    background-position: -19px -130px;
}

button i.ui-icon-close
{
    background-position: -99px -130px;
}

button i.ui-icon-caret-1-s
{
    background-position: -66px -2px;
}

button i.ui-icon-trash 
{
    background-position: -179px -99px;
}

button i.ui-icon-check 
{
    background-position: -66px -146px;
}

button[validated="false"]
{
    background: orange;
}

button.remove_action
{
    background-color: #d33131;
}

button.alternate_action
{
    background-color:rgb(74, 105, 108);
}

button:disabled
{
    background: #dddddd;
    cursor:not-allowed;
}

.smallbtn
{
    padding-left: 10px;
    font-weight: bold;
    cursor: pointer;
}

/* Alert box */
.alert-box {
    float: right;
    color:#555;
    border-radius:10px;
    font-family:Tahoma,Geneva,Arial,sans-serif;
    font-size:11px;
    padding:8px 10px 8px 25px;
    margin:6px;
    min-width:360px;
    width:50%;
}

.alert-box span {
    font-weight:bold;
    text-transform:uppercase;
}

.success {
    border:1px solid #a6ca8a;
}

.error {
    border:1px solid #d33131;
}

/* Table */
table{
    border: none;
    border-collapse: collapse;
    margin: 0;
    padding: 0;
    width: 100%;
    table-layout: fixed;
}

table tr{
    height: 40px;
}

table tr.alternate_row
{
    background-color: rgba(74, 105, 108,0.10);
}

table th {
    background-color: rgb(248, 180, 71);
    color: white;
    font-size: .85em;
    text-transform: uppercase;
    letter-spacing: .1em;
}

table th:hover {
    text-decoration: underline;
    cursor:pointer;
}

table td,th
{
    padding: 6px 5px 6px 3px;
    letter-spacing: .1em;
    text-align: left;
}

table tbody tr:not(.nohover):hover{
    background-color: lightblue;
    cursor: pointer;
}

table .emp_row:hover{
    background-color: lightblue;
    cursor: pointer;
}

table input
{
  font-family: "Roboto", sans-serif;
  outline: 0;
  background: #ffffff;
  width: 100%;
  margin: 0 0 5px;
  padding: 8px;
  box-sizing: border-box;
  font-size: 14px;
}

table button
{
    font-family: "Roboto", sans-serif;
    text-transform: uppercase;
    outline: 0;
    background: rgb(248, 180, 71);
    border: 0;
    padding: 5px;
    color: #FFFFFF;
    font-size: 11px;
    -webkit-transition: all 0.3 ease;
    transition: all 0.3 ease;
    cursor: pointer;
    width: 55px;
    min-height: 24px;
}

table button.btn-apply-row 
{
    background: rgb(2, 129, 51);
    width: 25px;
}

table button.btn-remove-row
{
    background: red;
    width: 25px;
}

/*Tableau des divisions/Catégories*/
table .mdtgrid-grp-row
{
    background: rgb(248, 180, 71);
}

table .mdtgrid-grp-row button
{
    background: white;
    color: black;
}

.mdtgrid-grp-row button i.ui-icon
{
    background: url('/images/ui-icons_000000_256x240.png');
}

.mdtgrid-grp-row button i.ui-icon-blank 
{
    background-position: 16px 16px;
}

.mdtgrid-grp-row button i.ui-icon-plus 
{
    background-position: -19px -130px;
}

table .mdtgrid-div-row
{
    background: rgba(74, 105, 108, 0.50);
    border-top:20px solid white;
}

.mdtgrid-div-row button
{
    background: white;
    color: black;
}

.mdtgrid-div-row button i.ui-icon
{
    background: url('/images/ui-icons_000000_256x240.png');
}

.mdtgrid-div-row button i.ui-icon-blank 
{
    background-position: 16px 16px;
}

.mdtgrid-div-row button i.ui-icon-triangle-1-n 
{
    background-position: 0 -16px;
}

.mdtgrid-div-row button i.ui-icon-plus 
{
    background-position: -19px -130px;
}

.mdtgrid-charte-row
{
    height: 30px;
    vertical-align: bottom;
}

.mdtgrid-charte-row td
{
    padding:0px 1px 0px 0px;
    vertical-align: bottom;
}

.mdtgrid-charte-row td input
{
    padding:0px;
    margin:0px;
    font-size: 10px;
}

table .mdtgrid-cat-row
{
    background: white;
    border-bottom:1px solid rgb(74, 105, 108);
}

table .mdtgrid-cat-row .mdtgrid-cell:nth-child(2)
{
    padding-left:30px;
}

table .mdtgrid-cat-row button
{
    background: rgb(74, 105, 108);
}

/*Ligne de data de medirect*/
.mdtrow
{
    width:100%;
    margin: 0px 0px 0px 0px;
    clear: both;
    height:50px;
}

.mdtrow .mdtrow_label
{
    min-height: 33px;
    width: 250px;
    float: left;
    padding-top: 8px;
    letter-spacing: .1em;
}

.mdtrow .mdtrow_label img
{
    width: 22px;
    cursor:grab;
}

.mdtrow .mdtrow_data
{
    width: 200px;
    float: left;
}

.mdtrow .mdtrow_data ul
{
    list-style: none;
    margin: 0;
    padding: 0;
    overflow: auto;
}

.mdtrow li
{
    margin: 15px 0px 15px 0px;
}

.mdtrow .employee_item
{
    font-size: 12px;
    background-color: rgba(255, 187, 0, 0.322);
    padding: 5px;
    margin: 5px 5px 0px 0px;
    white-space: nowrap;
    display: inline-block;
}

.mdtrow .employee_item .employee_item_remove
{
    color: red;
    font-weight: bold;
    margin: 5px 0px 0px 5px;
    cursor: pointer;
}

input
{
  font-family: "Roboto", sans-serif;
  outline: 0;
  background: #ffffff;
  border: 1px solid darkgray;
  margin: 0 0 5px;
  padding: 8px;
  box-sizing: border-box;
  font-size: 14px;
}

input:disabled
{
  background: #f2f2f2;
}

.mdtrow .mdtrow_data select
{
  font-family: "Roboto", sans-serif;
  outline: 0;
  background: #ffffff;
  border: 1;
  margin: 0 0 5px;
  padding: 8px;
  box-sizing: border-box;
  font-size: 14px;
  min-width: 180px;
}

/*Tableau dynamique*/
.mdtgrid-div-row
{
    background-color: lightgray;
}

.mdtgrid-div-row[newrow="true"]
{
    font-style: italic;
    background-color: rgb(191, 232, 188);
}

.mdtgrid-cat-row[newrow="true"]
{
    font-style: italic;
    background-color: rgb(191, 232, 188);
}

.mdtgrid-cat-row .mdtgrid-cell .mdtgrid-description
{
    padding-left: 11px;
}

.deleted
{
    background-color:lightpink;
}

.mdtgrid-edit-row input
{
    padding: 6px;
    margin: 0px;
}

.mdtgrid-edit-row[datatype="div"]
{
    border-top: 20px solid white;
    background-color: rgba(74, 105, 108, 0.50);
}

.mdtgrid-edit-row[datatype="cat"]
{
    border-bottom: 1px solid rgb(74, 105, 108);
    background-color: white;
}


/* Charte de facturation */
.gar-config-row
{
    display: none;
    border:2px solid rgb(248,180,71);
    padding:0px;
}

.gar-config-row-visivle
{
    display: block;
}

/* BlockUI */
.blockUI-title
{
    padding-top: 3px;
    width: 100%;
    border-bottom: 1px solid lightgray;
    height: 25px;
}

.blockUI-title button 
{
    font-size: 10px;
    height: 20px;
    width: 50px;
    float: right; 
    padding-top: 3px;
}

.blockUI-title .btn-closing-blockUI
{ 
    background-color: red;
}

/* Charte de facturation */
.chartef_title
{
    float: left;
    width: 275px;
    padding: 8px 0px 0px 6px;
}

.chartef_data
{
    float: left;
    width: 305px;
    padding: 8px 0px 0px 20px;
}

/* Sortable formula */
#formule_partage_sortable_title{ list-style-type: none; padding: 0px; margin-top:0px; margin-bottom: 0px; width: 100%; max-width: 750px;}
#formule_partage_sortable_title li { 
    border: 1px solid white;
    margin: 3px 3px 3px 0; 
    padding: 1px; 
    float: left;
    width: 55px;
    text-align: center;
}

#formule_partage_sortable { list-style-type: none; padding: 0px; margin-top:0px; width: 100%; max-width: 750px;}
#formule_partage_sortable li { 
    border: 1px solid gray;
    margin: 3px 3px 3px 0; 
    padding: 1px; 
    float: left;
    width: 55px;
    text-align: center;
    cursor: move; /* fallback if grab cursor is unsupported */
    cursor: grab;
    cursor: -moz-grab;
    cursor: -webkit-grab;
}

#formule_partage_sortable li:hover{
    background-color: rgb(248, 180, 71);
    border: 1px solid rgb(248, 180, 71);
    color:white;
}

#formule_partage_not_sortable { list-style-type: none; padding: 0px; margin-top:0px; width: 100%; max-width: 750px;}
#formule_partage_not_sortable li { 
    border: 1px solid gray;
    margin: 3px 3px 3px 0; 
    padding: 1px; 
    float: left;
    width: 55px;
    text-align: center;
    cursor: default;
}